org.springframework.context.event

## Class ContextRefreshedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.context.event.ApplicationContextEvent
      - - org.springframework.context.event.ContextRefreshedEvent

- All Implemented Interfaces:
    Serializable

      public class ContextRefreshedEvent
      extends ApplicationContextEvent

  Event raised when an `ApplicationContext` gets initialized or refreshed.
  Since:
    04.03.2003
  Author:
    Juergen Hoeller
  See Also:
    `ContextClosedEvent`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextRefreshedEvent(ApplicationContext source)` Create a new ContextRefreshedEvent.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.context.event.ApplicationContextEvent

      `getApplicationContext`

    - ### Methods inherited from class org.springframework.context.ApplicationEvent

      `getTimestamp`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextRefreshedEvent

          public ContextRefreshedEvent(ApplicationContext source)

      Create a new ContextRefreshedEvent.
      Parameters:
        `source` - the `ApplicationContext` that has been initialized or refreshed (must not be `null`)